# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.474.2.5 -> 1.474.2.6
#	drivers/usb/core/usb.c	1.77    -> 1.78   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/13	greg@kroah.com	1.474.2.6
# USB: moved put_bus to its proper place (as the last thing we do shutting down.)
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Tue Aug 13 15:34:00 2002
+++ b/drivers/usb/core/usb.c	Tue Aug 13 15:34:00 2002
@@ -1641,10 +1641,10 @@
  */
 static void __exit usb_exit(void)
 {
-	put_bus(&usb_bus_type);
 	usb_major_cleanup();
 	usbfs_cleanup();
 	usb_hub_cleanup();
+	put_bus(&usb_bus_type);
 }
 
 subsys_initcall(usb_init);
